Author: pere
Date: 2007-11-01 10:49:00 +0000 (Thu, 01 Nov 2007)
New Revision: 1252

Added:
   packages/gosmore/debian/patches/
   packages/gosmore/debian/patches/00list
   packages/gosmore/debian/patches/10_bad_gpsd_header.dpatch
Modified:
   packages/gosmore/debian/changelog
   packages/gosmore/debian/control
   packages/gosmore/debian/rules
Log:
New patch 10_bad_gpsd_header.dpatch to make sure the defines required
by gps.h is set during compilation.  Add dpatch as build-depend to get
the patch applied.


Modified: packages/gosmore/debian/changelog
===================================================================
--- packages/gosmore/debian/changelog   2007-11-01 10:30:10 UTC (rev 1251)
+++ packages/gosmore/debian/changelog   2007-11-01 10:49:00 UTC (rev 1252)
@@ -3,6 +3,9 @@
   * Change build-depend on gpsd to libgps-dev | gpsd (<< 2.34.dfsg-1) to work
     with the new gpsd package while still allowing backports. (Closes: #447168)
   * Building with new gpsd will avoid duplicate dependency. (Closes: #440383)
+  * New patch 10_bad_gpsd_header.dpatch to make sure the defines required
+    by gps.h is set during compilation.  Add dpatch as build-depend to get
+    the patch applied.
 
  -- Petter Reinholdtsen <[EMAIL PROTECTED]>  Thu,  1 Nov 2007 11:26:55 +0100
 

Modified: packages/gosmore/debian/control
===================================================================
--- packages/gosmore/debian/control     2007-11-01 10:30:10 UTC (rev 1251)
+++ packages/gosmore/debian/control     2007-11-01 10:49:00 UTC (rev 1252)
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Petter Reinholdtsen <[EMAIL PROTECTED]>
-Build-Depends: debhelper (>> 3.0.0), cdbs, libgtk2.0-dev, flite-dev, 
libgps-dev | gpsd (<< 2.34.dfsg-1)
+Build-Depends: debhelper (>> 3.0.0), cdbs, libgtk2.0-dev, flite-dev, 
libgps-dev | gpsd (<< 2.34.dfsg-1), dpatch
 Standards-Version: 3.7.2
 
 Package: gosmore

Added: packages/gosmore/debian/patches/00list
===================================================================
--- packages/gosmore/debian/patches/00list                              (rev 0)
+++ packages/gosmore/debian/patches/00list      2007-11-01 10:49:00 UTC (rev 
1252)
@@ -0,0 +1 @@
+10_bad_gpsd_header

Added: packages/gosmore/debian/patches/10_bad_gpsd_header.dpatch
===================================================================
--- packages/gosmore/debian/patches/10_bad_gpsd_header.dpatch                   
        (rev 0)
+++ packages/gosmore/debian/patches/10_bad_gpsd_header.dpatch   2007-11-01 
10:49:00 UTC (rev 1252)
@@ -0,0 +1,17 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## 10_bad_gpsd_header.dpatch by Petter Reinholdtsen <[EMAIL PROTECTED]>
+##
+## DP: gps.h assume a few defines are set, and do not work out of the
+## DP: box.  Make sure these defines are set.
+
[EMAIL PROTECTED]@
+--- gosmore-0.0.0.20070901.orig/gosmore.cc
++++ gosmore-0.0.0.20070901/gosmore.cc
+@@ -18,6 +18,7 @@
+ #include <unistd.h>
+ #include <sys/types.h>
+ #ifdef USE_GPSD
++#include <gpsd_config.h>
+ #include <gps.h>
+ #endif
+ 


Property changes on: packages/gosmore/debian/patches/10_bad_gpsd_header.dpatch
___________________________________________________________________
Name: svn:executable
   + *

Modified: packages/gosmore/debian/rules
===================================================================
--- packages/gosmore/debian/rules       2007-11-01 10:30:10 UTC (rev 1251)
+++ packages/gosmore/debian/rules       2007-11-01 10:49:00 UTC (rev 1252)
@@ -2,6 +2,7 @@
   
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
+include /usr/share/cdbs/1/rules/dpatch.mk
 DESTDIR := $(CURDIR)/debian/gosmore
 DEB_MAKE_INSTALL_TARGET := DESTDIR=$(DESTDIR) prefix=/usr install
 


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to